hledger-lib-1.12: Core data types, parsers and functionality for the hledger accounting tools

Safe Haskell | None
Language | Haskell2010

Hledger.Reports.ReportTypes

Description

New common report types, used by the BudgetReport for now, perhaps all reports later.

Synopsis

- type Percentage = Decimal
- type Change = MixedAmount
- type Balance = MixedAmount
- type Total = MixedAmount
- type Average = MixedAmount
- data PeriodicReport a = PeriodicReport ([DateSpan], [PeriodicReportRow a], PeriodicReportRow a)
- type PeriodicReportRow a = (AccountName, AccountName, Int, [a], a, a)

# Documentation

type Percentage = Decimal Source #

type Change Source #

Arguments

= MixedAmount | A change in balance during a certain period.

type Balance Source #

Arguments

= MixedAmount | An ending balance as of some date.

type Total Source #

Arguments

= MixedAmount | The sum of `Change`s in a report or a report row. Does not make sense for `Balance`s.

type Average Source #

Arguments

= MixedAmount | The average of `Change`s or `Balance`s in a report or report row.

data PeriodicReport a Source #

A generic tabular report of some value, where each row corresponds to an account and each column is a date period. The column periods are usually consecutive subperiods formed by splitting the overall report period by some report interval (daily, weekly, etc.) Depending on the value type, this can be a report of balance changes, ending balances, budget performance, etc. Successor to MultiBalanceReport.

Constructors

PeriodicReport ([DateSpan], [PeriodicReportRow a], PeriodicReportRow a) |

Instances

Show a => Show (PeriodicReport a) Source # |
Instance details Defined in Hledger.Reports.ReportTypes Methods showsPrec :: Int -> PeriodicReport a -> ShowS Source # show :: PeriodicReport a -> String Source # showList :: [PeriodicReport a] -> ShowS Source #

type PeriodicReportRow a = (AccountName, AccountName, Int, [a], a, a) Source #